// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	// Change recipes here
		event.remove({output: 'mob_grinding_utils:mob_swab'})
		event.remove({output: 'mekanismgenerators:gas_burning_generator'})
		event.remove({output: 'mysticalagriculture:nether_star_seeds'})
		event.remove({output: 'mysticalagriculture:nether_star_essence'})
		event.remove({output: 'minecraft:nether_star'})
const mod =[
	`emendatusenigmatica`,
]
	
const materials =[
	`nickel`,
	`zinc`,
	`aluminum`,
	`cobalt`,
	`iridium`,
	]
	for(let pos in materials){
	e.recipes.mekanismInjecting(`4x ${mod}:${materials[pos]}_shard`, `#forge:ores/${materials[pos]}`, {gas: `mekanism:hydrogen_chloride`, amount: 1})
	e.recipes.mekanismPurifying(`${mod}:${materials[pos]}_clump`, `${mod}:${materials[pos]}_shard`, {gas: `mekanism:oxygen`, amount: 1})
	e.recipes.mekanismCrushing(`${mod}:${materials[pos]}_dirty_dust`, `${mod}:${materials[pos]}_clump`)
	e.recipes.mekanismEnriching(`${mod}:${materials[pos]}_dust`, `${mod}:${materials[pos]}_dirty_dust`)
	e.recipes.mekanismEnriching(`${mod}:${materials[pos]}_dust`,`${mod}:${materials[pos]}_chunk`)
	}
	})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})


